summaryrefslogtreecommitdiff
path: root/dev-python/jsonpointer/jsonpointer-2.4.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-06-27 18:20:01 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-06-27 18:20:01 +0000
commit074bd56693f106fd6a9ed2e6e44cfa50dff79e83 (patch)
tree429c2efd67050b943548a721e3876b03042218fe /dev-python/jsonpointer/jsonpointer-2.4.ebuild
parentc1f2af78d7929d71d43cf63191638ede4ba5b853 (diff)
downloadbaldeagleos-repo-074bd56693f106fd6a9ed2e6e44cfa50dff79e83.tar.gz
baldeagleos-repo-074bd56693f106fd6a9ed2e6e44cfa50dff79e83.tar.xz
baldeagleos-repo-074bd56693f106fd6a9ed2e6e44cfa50dff79e83.zip
Adding metadata
Diffstat (limited to 'dev-python/jsonpointer/jsonpointer-2.4.ebuild')
-rw-r--r--dev-python/jsonpointer/jsonpointer-2.4.ebuild23
1 files changed, 23 insertions, 0 deletions
diff --git a/dev-python/jsonpointer/jsonpointer-2.4.ebuild b/dev-python/jsonpointer/jsonpointer-2.4.ebuild
new file mode 100644
index 000000000000..709e50ad8a18
--- /dev/null
+++ b/dev-python/jsonpointer/jsonpointer-2.4.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Identify specific nodes in a JSON document (according to draft 08)"
+HOMEPAGE="
+ https://github.com/stefankoegl/python-json-pointer/
+ https://pypi.org/project/jsonpointer/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}